html {
  height: 100%;
}
body {
  padding: 0;
  margin: 0;
  width: 100%;
  height: 100%;
}
.page-bg {
  width: 100%;
  height: 100%;
  background: linear-gradient(#318eff, #1f7ff6);
}

.page-image {
  width: 100%;
  height: 100%;
  background-image: url("./download/share_bg.jpg");
  background-size: cover;
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: center;
}

.share-content {
  width: 375px;
  height: 421px;
  background-size: cover;
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: center;
}

.share-bg-invite {
  background-image: url("./download/share_invite.png");
}

.share-bg-content {
  background-image: url("./download/share_content.png");
}

.icon-image {
  position: fixed;
  top: 40px;
  z-index: 10;
  width: 100px;
}

.user-title {
  display: inline-block;
  max-width: 100%;
  height: 22px;
  padding: 0 44px;
  box-sizing: border-box;
  overflow: hidden;
  font-size: 16px;
  color: #333;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.share-title {
  padding: 5px 20px;
  font-weight: bold;
  color: white;
  background-color: #262626;
  border-radius: 0 0 12px 12px;
}

.label-title-view {
  max-width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: center;
  box-sizing: border-box;
}

.label-title,
.label-title-desc {
  max-width: 100%;
  padding: 0 44px;
  font-size: 20px;
  font-weight: bold;
  color: #333;
  text-align: center;
  box-sizing: border-box;
  display: inline-block; /* 确保 `span` 的宽度可以被限制 */
  overflow: hidden; /* 隐藏超出部分 */
  text-overflow: ellipsis; /* 用省略号表示溢出的内容 */
}

.msg-view {
  display: flex;
  flex-direction: row;
  justify-content: start;
  align-items: start;
  font-size: 16px;
}

.msg-title {
  color: #999;
  white-space: nowrap; /* 禁止换行 */
}

.msg {
  font-size: 16px;
  color: #333;
}

.download-button {
  width: 327px;
  height: 48px;
  background-color: white;
  color: #333;
  font-size: 16px;
  text-align: center;
  line-height: 48px;
  border-radius: 24px;
  cursor: pointer;
  border: none;
}

.browser-tip {
  position: fixed;
  top: 15px;
  right: 15px;
  z-index: 9999;
  height: 50px;
  font-size: 14px;
  color: white;
  display: none;
  flex-direction: column;
  justify-content: start;
  align-items: end;
}
